from dataclasses import dataclass


class Figure:
    pass


@dataclass
class Triangle:
    sides: tuple[int, int, int]
    height: int

    def area(self) -> int:
        return self.sides[0] * self.height


@dataclass
class Circle:
    pass
